%global pypi_name qasync

%bcond_with check

Name:       python-%{pypi_name}
Version:    0.23.0
Release:    %mkrel 1
Summary:    Implementation of the PEP 3156 Event-Loop with Qt
Group:      Development/Python
License:    BSD
URL:        https://pypi.org/project/qasync/
Source0:    %pypi_source
BuildArch:  noarch

%description
qasync allows coroutines to be used in PyQt/PySide applications by providing an
implementation of the PEP 3156 event-loop.

%package -n python3-%{pypi_name}
Summary: %{summary}
Group:      Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3dist(pyqt5)
Requires:       python3dist(pyqt5)

%description -n python3-%{pypi_name}
qasync allows coroutines to be used in PyQt/PySide applications by providing an
implementation of the PEP 3156 event-loop.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py_build

%install
%py_install

%if %{with check}
%check
%{python3} setup.py test
%endif

%files -n python3-%{pypi_name}
%doc README.md
%doc LICENSE
%{python3_sitelib}/qasync
%{python3_sitelib}/qasync-%{version}-*.egg-info


%changelog
* Mon Mar 21 2022 guillomovitch <guillomovitch> 0.23.0-1.mga9
+ Revision: 1815486
- imported package python-qasync

